using System;
using Server;

namespace Server.Items
{
	[Furniture]
	public class IronCandle : BaseLight
	{
		public override int LitItemID{ get { return 0x0706; } }
		public override int UnlitItemID{ get { return 0x0705; } }

		[Constructable]
		public IronCandle() : base( 0x0705 )
		{
			Name = "candle";
			Duration = TimeSpan.Zero;
			Burning = false;
			Light = LightType.Circle150;
			Weight = 2.0;
		}

		public IronCandle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}